# Alternative payment methods

Solidgate API for <a href="https://docs.solidgate.com/payments/alternative-payments/" target="_blank">alternative payment methods</a> allows merchants to securely integrate with a payment gateway to process and manage APM transactions such as PayPal, Pay by Bank, etc.

## Init payment

 - [POST /init-payment](https://api-docs.solidgate.com/api/alternative-payment-methods/create-apm-init-payment.md): Operation for the initiation of a payment using an APMs, performs order creation and prepares the transaction for payment, allowing the customer to proceed with the payment process.

## Recurring

 - [POST /v1/recurring](https://api-docs.solidgate.com/api/alternative-payment-methods/make-apm-recurring.md): Initiate a token-based recurring payment refers to an automatic billing applied to a customer's payment method at predetermined intervals. 


  This process involves securely storing a token representing the customer's payment details and using it for subsequent transactions without requiring input each time.

## Revoke token

 - [POST /v1/recurring-token/cancel](https://api-docs.solidgate.com/api/alternative-payment-methods/revoke-apm-recurring-token.md): Request to revoke a recurring token for alternative payment methods.


  Available for tokens initiated with payment_method alipay, mbway or wechatpay.

## Refund

 - [POST /v1/refund](https://api-docs.solidgate.com/api/alternative-payment-methods/refund-apm-order.md): Initiate a refund request to return funds for successfully processed orders.


It is important to note that, for instance, refunds might not be accessible or could be restricted when using alternative cash-based payment methods.

## Check order status

 - [POST /v1/status](https://api-docs.solidgate.com/api/alternative-payment-methods/get-status-apm-order.md): Request for receiving current order status. The key benefit is that it allows merchants to efficiently monitor and manage their payments by providing comprehensive information about the order's status, payment method, transaction details, and customer information.

## Updated alternative order

 - [POST APMOrderStatus](https://api-docs.solidgate.com/api/alternative-payment-methods/webhook-apm-order-status.md): Webhooks for alternative payment method status enable merchants to securely receive real-time notifications of changes in the status of alternative payment methods, such as processing or declined, and automatically initiate actions or updates in their own systems based on those events.


  Duplicate webhook events can occur. Implement idempotency on your end to avoid processing the same event twice.

## Received PayPal dispute

 - [POST PayPalDispute](https://api-docs.solidgate.com/api/alternative-payment-methods/webhook-paypal-dispute.md): Webhooks delivers critical insights into each PayPal dispute and its lifecycle, enabling businesses to manage disputes effectively and enhance customer satisfaction.


  Duplicate webhook events can occur. Implement idempotency on your end to avoid processing the same event twice.

## Received prevention alert

 - [POST APMPreventAlert](https://api-docs.solidgate.com/api/alternative-payment-methods/webhook-apm-alert-prevent.md): Webhooks enable to preemptively identify and resolve potential issues, thereby preventing the generation of alert, specifically for the PayPal method.


  Duplicate webhook events can occur. Implement idempotency on your end to avoid processing the same event twice.

## Revoked recurring token

 - [POST APMRevokedRecurringToken](https://api-docs.solidgate.com/api/alternative-payment-methods/webhook-apm-revoked-recurring-token.md): Webhooks notify about a revoked recurring token for alternative payment methods.


  Duplicate webhook events can occur. Implement idempotency on your end to avoid processing the same event twice.

